# gdcm::UNExplicitImplicitDataElement Class Reference

Class to read/write a DataElement as ExplicitImplicit Data Element This class gather two known bugs: 1. GDCM 1.2.0 would rewrite VR=UN Value Length on 2 bytes instead of 4 bytes 2. GDCM 1.2.0 would also rewrite DataElement as Implicit when the VR would not be known this would only happen in some very rare cases. gdcm 2.X design could handle bug #1 or #2 exclusively, this class can now handle file which have both issues. See: gdcmData/TheralysGDCM120Bug.dcm. More...

`#include <gdcmUNExplicitImplicitDataElement.h>`

Inheritance diagram for gdcm::UNExplicitImplicitDataElement:
[legend]
Collaboration diagram for gdcm::UNExplicitImplicitDataElement:
[legend]

List of all members.

## Public Member Functions
VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)

## Detailed Description

Class to read/write a DataElement as ExplicitImplicit Data Element This class gather two known bugs: 1. GDCM 1.2.0 would rewrite VR=UN Value Length on 2 bytes instead of 4 bytes 2. GDCM 1.2.0 would also rewrite DataElement as Implicit when the VR would not be known this would only happen in some very rare cases. gdcm 2.X design could handle bug #1 or #2 exclusively, this class can now handle file which have both issues. See: gdcmData/TheralysGDCM120Bug.dcm.

## Member Function Documentation

VL gdcm::UNExplicitImplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::UNExplicitImplicitDataElement::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmUNExplicitImplicitDataElement.h